import pandas as pd
import matplotlib.pyplot as plt
import numpy as np
import sys
import os.path

if len(sys.argv)==1:
    print('usage : python read_data.py <nom de fichier>')
    exit()
else:
    nom = sys.argv[1]
    path= nom
if os.path.isfile(path)==False:
    print('le fichier '+path+' n\'existe pas')
    exit()

df=pd.read_csv(path,sep=';',skiprows=[0])
print('Taille du tableau lu :');print(df.shape)
print(df)
print('Libellé des colonnes :');print(df.dtypes)


#temps = pd.to_datetime(df.loc[:,'Date'])
delta_t=df.loc[:,'delta_t'].values


t=np.cumsum(delta_t ) - 436
"""for u in range(len(t)):
    t[u] = ((int)(t[u]/3600) + 0.6 * (t[u]/3600 - (int)(t[u]/3600))) + 13.1426"""



#U=df['U'];U_moy=df['U_moy']
I=df['I'];I_moy=df['I_moy']
"""devI = []
for i in range(len(I)-1):
    devI.append((I[i+1] - I[i]) / delta_t[i])
devI.append(0)"""



#creates thes rectangles effect
nt = []
for i in t:
    nt.append(i-0.000001)
    nt.append(i)
nI = [0]
for i in I:
    nI.append(i)
    nI.append(i)
nI.pop()

#display
fig, axs = plt.subplots(1,2)
#tension
#axs[0].plot(t,U_moy,'-r',label='U_moy')
#axs[0].plot(t,U,'-b',label='U')
#axs[0].set_title("voltage")
#axs[0].legend()
#crrnt
#axs[1].plot(t,I_moy,'-r',label='I_moy')
axs[0].plot(t,I,'.',label='I')
axs[0].plot(nt,nI,'--',label='nI')
axs[0].set_title("courant")
axs[0].legend()
#dev I
#axs[0].plot(t,devI,'-r',label='devI')
#axs[0].set_title("devI")
#axs[0].legend()
#show
fig.suptitle("channel : " + nom[6:8])
plt.show()